Bug 255153 - ports-mgmt/portlint: Teach portlint that $FreeBSD$ is deprecated in Git
Summary: ports-mgmt/portlint: Teach portlint that $FreeBSD$ is deprecated in Git
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joe Marcus Clarke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-17 16:20 UTC by Li-Wen Hsu
Modified: 2021-04-19 20:53 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (marcus)


Attachments
0001-Teach-portlint-that-FreeBSD-is-deprecated-in-Git.patch (3.68 KB, patch)
2021-04-17 16:20 UTC, Li-Wen Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Wen Hsu freebsd_committer 2021-04-17 16:20:15 UTC
Created attachment 224193 [details]
0001-Teach-portlint-that-FreeBSD-is-deprecated-in-Git.patch
Comment 1 Tatsuki Makino 2021-04-18 20:45:38 UTC
(In reply to Li-Wen Hsu from comment #0)

Regarding the change in line 729 of the patch
(here: https://bugs.freebsd.org/bugzilla/attachment.cgi?id=224193&action=diff#b/ports-mgmt/portlint/src/portlint.pl_sec2 )

I haven't run it yet, but it looks like all @comments will be FATAL.
I think it's bad if it's not 
&perror("FATAL", $file, $., "\$$rcsidstr\$ is deprecated in Git.") if (/\$$rcsidstr[:\$]/);

$rcsidseen doesn't even look like it's being used for anything anymore.
Comment 2 Li-Wen Hsu freebsd_committer 2021-04-19 19:40:48 UTC
(In reply to Tatsuki Makino from comment #1)
Thanks for the review, TBH I only did the minimum tests and I don't think I fully understand the entire code base.

I'll try to squeeze some time on fixing this. If it's possible for you, please help updating this patch. Thanks!
Comment 3 Joe Marcus Clarke freebsd_committer 2021-04-19 20:40:32 UTC
Thanks for the patch.  I'm working on this now.
Comment 4 Joe Marcus Clarke freebsd_committer 2021-04-19 20:52:37 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-04-19 20:53:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f36c30ba1869da25e384c007f85ef3d1e763a586

commit f36c30ba1869da25e384c007f85ef3d1e763a586
Author:     Joe Marcus Clarke <marcus@FreeBSD.org>
AuthorDate: 2021-04-19 20:49:33 +0000
Commit:     Joe Marcus Clarke <marcus@FreeBSD.org>
CommitDate: 2021-04-19 20:49:33 +0000

    ports-mgmt/portlint: Update to 2.19.5

    * Reverse $FreeBSD$ check logic to make the use of them FATAL [1]
    * Remove embedded $FreeBSD$
    PR:             255153 [1]
    Obtained from:  lwhsu [1]
                    With issue report from Tatsuki Makino

 ports-mgmt/portlint/Makefile        |  2 +-
 ports-mgmt/portlint/src/portlint.1  |  2 +-
 ports-mgmt/portlint/src/portlint.pl | 49 +++++++++----------------------------
 3 files changed, 13 insertions(+), 40 deletions(-)